!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_890) = -cima*dMS_QED2
      coupl(nGC_894) = cima*dMZ2_QED2
      coupl(nGC_895) = cima*dMW2_QED2
      coupl(nGC_799) = coupl(nGC_371)*dZee_QED2 + coupl(nGC_372)*dcw_QED2
      coupl(nGC_795) = coupl(nGC_380)*dsw_QED2 + coupl(nGC_381)*dZee_QED2 +    &
                       coupl(nGC_382)*dvev_QED1
      coupl(nGC_879) = -cima*dME_QED2
      coupl(nGC_877) = -cima*dMH2_QED2
      coupl(nGC_789) = coupl(nGC_383)*dsw_QED2 + coupl(nGC_384)*dZee_QED2 +    &
                       coupl(nGC_385)*dvev_QED1
      coupl(nGC_906) = coupl(nGC_50)*dZH_QED2/2d0 + coupl(nGC_50)*dZWMinus_QED2&
                        + coupl(nGC_795)
      coupl(nGC_512) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_526) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4  &
                       )**2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**  &
                       2d0)/(32d0*pi**2d0)
      coupl(nGC_488) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11&
                       )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_764) = coupl(nGC_386)*dZgs_QCD2
      coupl(nGC_762) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_763) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                       3d0)
      coupl(nGC_838) = coupl(nGC_388)*dyb_QED3
      coupl(nGC_839) = coupl(nGC_388)*dyb_QED1_QCD2
      coupl(nGC_836) = coupl(nGC_387)*dyb_QED3
      coupl(nGC_837) = coupl(nGC_387)*dyb_QED1_QCD2
      coupl(nGC_1009) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_764)
      coupl(nGC_658) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                       ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_872) = coupl(nGC_394)*dyc_QED3
      coupl(nGC_460) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)** &
                       2d0 - coupl(nGC_164)**2d0 - coupl(nGC_3)**2d0 - 4d0*    &
                       coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_466) = cima*(coupl(nGC_162)**2d0 + coupl(nGC_164)**2d0 + coupl(&
                       nGC_25)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**2d0)
      coupl(nGC_465) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_162)**2d0  &
                        - coupl(nGC_164)**2d0 - 2d0*coupl(nGC_23)**2d0 - coupl(&
                       nGC_25)**2d0 - coupl(nGC_3)**2d0)/(32d0*pi**2d0)
      coupl(nGC_481) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_482) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi**&
                       2d0)
      coupl(nGC_521) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_489) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_487) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
      coupl(nGC_999) = coupl(nGC_59)*dZH_QED2/2d0 + coupl(nGC_59)*dZcL_QED2/2d0&
                        + coupl(nGC_59)*dZcR_QED2/2d0 + coupl(nGC_872)
      coupl(nGC_486) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1179) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_1177) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_739) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
      coupl(nGC_865) = coupl(nGC_390)*dyc_QED1_QCD2
      coupl(nGC_863) = coupl(nGC_393)*dyc_QED1_QCD2
      coupl(nGC_861) = coupl(nGC_428)*dyup_QED1_QCD2
      coupl(nGC_860) = coupl(nGC_428)*dyup_QED3
      coupl(nGC_1195) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_1192) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_1055) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1053) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1190) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1163) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_810) = coupl(nGC_333)*dZee_QED2 + coupl(nGC_334)*dsw_QED2 +    &
                       coupl(nGC_335)*dcw_QED2
      coupl(nGC_811) = coupl(nGC_342)*dZee_QED2 + coupl(nGC_343)*dsw_QED2 +    &
                       coupl(nGC_344)*dcw_QED2
      coupl(nGC_1160) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_599) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_456) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_457) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
      coupl(nGC_892) = -cima*dMB_QED2
      coupl(nGC_893) = -cima*dMB_QCD2
      coupl(nGC_673) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                       ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_670) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                       ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_683) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl(&
                       nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_682) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl( &
                       nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_492) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi&
                       **2d0)
      coupl(nGC_823) = -cima*dys_QED1_QCD2
      coupl(nGC_490) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
      coupl(nGC_491) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                       2d0)/(8d0*pi**2d0)
      coupl(nGC_773) = coupl(nGC_415)*dMW2_QED2 + coupl(nGC_416)*dZee_QED2
      coupl(nGC_822) = -cima*dys_QED3
      coupl(nGC_821) = cima*dyc_QED1_QCD2
      coupl(nGC_820) = cima*dyc_QED3
      coupl(nGC_827) = -cima*dyb_QED1_QCD2
      coupl(nGC_826) = -cima*dyb_QED3
      coupl(nGC_825) = cima*dyt_QED1_QCD2
      coupl(nGC_824) = cima*dyt_QED3
      coupl(nGC_891) = -cima*dMS_QCD2
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_916) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_912) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_918) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_858) = coupl(nGC_429)*dyup_QED3
      coupl(nGC_859) = coupl(nGC_429)*dyup_QED1_QCD2
      coupl(nGC_856) = coupl(nGC_341)*dym_QED3
      coupl(nGC_854) = coupl(nGC_419)*dytau_QED3
      coupl(nGC_851) = coupl(nGC_410)*dym_QED3
      coupl(nGC_536) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_625) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_627) = coupl(nGC_23)*(coupl(nGC_162)*coupl(nGC_40) + coupl(    &
                       nGC_164)*coupl(nGC_4) + coupl(nGC_25)*coupl(nGC_41) +   &
                       coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_622) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_740) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_741) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_1115) = coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1114) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_733) = (36d0*Nc*cima*coupl(nGC_23)**4d0 - 16d0*cima*coupl(     &
                       nGC_162)**4d0 - 32d0*cima*coupl(nGC_162)**2d0*coupl(    &
                       nGC_164)**2d0 - 24d0*cima*coupl(nGC_162)**2d0*coupl(    &
                       nGC_25)**2d0 - 48d0*cima*coupl(nGC_162)*coupl(nGC_164)* &
                       coupl(nGC_25)*coupl(nGC_3) - 16d0*cima*coupl(nGC_164)** &
                       4d0 - 24d0*cima*coupl(nGC_164)**2d0*coupl(nGC_3)**2d0 + &
                       6d0*cima*coupl(nGC_170)**2d0 + 6d0*cima*coupl(nGC_172)**&
                       2d0 + 12d0*cima*coupl(nGC_18)**2d0 + 36d0*cima*coupl(   &
                       nGC_23)**4d0 - 16d0*cima*coupl(nGC_25)**4d0 - 32d0*cima*&
                       coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 + 12d0*cima*coupl( &
                       nGC_29)**2d0 - 16d0*cima*coupl(nGC_3)**4d0 + 18d0*coupl(&
                       nGC_162)**2d0*coupl(nGC_172) + 21d0*coupl(nGC_162)**2d0*&
                       coupl(nGC_18) + 3d0*coupl(nGC_162)**2d0*coupl(nGC_19) + &
                       6d0*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_168) + 36d0*&
                       coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_29) + 6d0*coupl(&
                       nGC_162)*coupl(nGC_18)*coupl(nGC_25) + 18d0*coupl(      &
                       nGC_164)**2d0*coupl(nGC_170) + 21d0*coupl(nGC_164)**2d0*&
                       coupl(nGC_18) + 3d0*coupl(nGC_164)**2d0*coupl(nGC_5) +  &
                       6d0*coupl(nGC_164)*coupl(nGC_18)*coupl(nGC_3) + 6d0*    &
                       coupl(nGC_168)*coupl(nGC_25)*coupl(nGC_3) + 18d0*coupl( &
                       nGC_170)*coupl(nGC_3)**2d0 + 18d0*coupl(nGC_172)*coupl( &
                       nGC_25)**2d0 + 21d0*coupl(nGC_18)*coupl(nGC_25)**2d0 +  &
                       21d0*coupl(nGC_18)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_19 &
                       )*coupl(nGC_25)**2d0 + 36d0*coupl(nGC_25)*coupl(nGC_29)*&
                       coupl(nGC_3) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5))/(96d0&
                       *pi**2d0)
      coupl(nGC_812) = coupl(nGC_345)*dZee_QED2 + coupl(nGC_346)*dsw_QED2 +    &
                       coupl(nGC_347)*dcw_QED2
      coupl(nGC_816) = -cima*dydo_QED3
      coupl(nGC_817) = -cima*dydo_QED1_QCD2
      coupl(nGC_814) = coupl(nGC_351)*dZee_QED2 + coupl(nGC_352)*dsw_QED2 +    &
                       coupl(nGC_353)*dcw_QED2
      coupl(nGC_1023) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_1021) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_1025) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_728) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                       32d0*pi**2d0)
      coupl(nGC_729) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                       32d0*pi**2d0*Nc)
      coupl(nGC_888) = -cima*dMD_QED2
      coupl(nGC_889) = -cima*dMD_QCD2
      coupl(nGC_880) = -cima*dMM_QED2
      coupl(nGC_883) = -cima*dMU_QCD2
      coupl(nGC_885) = -cima*dMC_QCD2
      coupl(nGC_884) = -cima*dMC_QED2
      coupl(nGC_887) = -cima*dMT_QCD2
      coupl(nGC_886) = -cima*dMT_QED2
      coupl(nGC_881) = -cima*dMTA_QED2
      coupl(nGC_540) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_542) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_546) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_864) = coupl(nGC_390)*dyc_QED3
      coupl(nGC_862) = coupl(nGC_393)*dyc_QED3
      coupl(nGC_712) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1158) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_869) = coupl(nGC_414)*dyt_QED1_QCD2
      coupl(nGC_868) = coupl(nGC_414)*dyt_QED3
      coupl(nGC_818) = cima*dyup_QED3
      coupl(nGC_498) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(     &
                       nGC_39))/(8d0*pi**2d0)
      coupl(nGC_788) = coupl(nGC_311)*dZee_QED2 + coupl(nGC_312)*dsw_QED2
      coupl(nGC_786) = coupl(nGC_406)*dZee_QED2
      coupl(nGC_787) = coupl(nGC_313)*dZee_QED2 + coupl(nGC_314)*dsw_QED2
      coupl(nGC_784) = coupl(nGC_376)*dlam_QED4 + coupl(nGC_377)*dvev_QED1
      coupl(nGC_785) = coupl(nGC_378)*dlam_QED4 + coupl(nGC_379)*dvev_QED1
      coupl(nGC_782) = coupl(nGC_408)*dlam_QED4
      coupl(nGC_783) = -cima*dlam_QED4
      coupl(nGC_780) = coupl(nGC_361)*dZee_QED2 + coupl(nGC_362)*dsw_QED2 +    &
                       coupl(nGC_363)*dMZ2_QED2 + coupl(nGC_364)*dcw_QED2
      coupl(nGC_781) = coupl(nGC_420)*dlam_QED4
      coupl(nGC_669) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                       nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl(&
                       nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_541) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_160)*coupl&
                       (nGC_2)*coupl(nGC_73) + coupl(nGC_174)*coupl(nGC_23)*   &
                       coupl(nGC_75) + coupl(nGC_176)*coupl(nGC_39)*coupl(     &
                       nGC_73) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_76) +   &
                       8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl(  &
                       nGC_34)*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*    &
                       coupl(nGC_58)*coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59&
                       )*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_499) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1091) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_549) = (coupl(nGC_174)*coupl(nGC_23)*coupl(nGC_83) + coupl(    &
                       nGC_176)*coupl(nGC_41)*coupl(nGC_81) + coupl(nGC_22)*   &
                       coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_40&
                       )*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(32d0*pi**2d0&
                       )
      coupl(nGC_650) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4 &
                       )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +    &
                       coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl( &
                       nGC_81)**2d0)/(32d0*pi**2d0)
      coupl(nGC_798) = coupl(nGC_348)*dZee_QED2 + coupl(nGC_349)*dsw_QED2 +    &
                       coupl(nGC_350)*dcw_QED2
      coupl(nGC_962) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_960) = coupl(nGC_887) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl(   &
                       nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_1066) = coupl(nGC_34)*dZbR_QCD2
      coupl(nGC_966) = coupl(nGC_888) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl(   &
                       nGC_MD)*dZdR_QED2/2d0
      coupl(nGC_967) = coupl(nGC_889) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl(   &
                       nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_964) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_965) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_968) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_969) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_849) = coupl(nGC_452)*dye_QED3
      coupl(nGC_848) = -cima*dytau_QED3
      coupl(nGC_845) = coupl(nGC_389)*dyb_QED1_QCD2
      coupl(nGC_844) = coupl(nGC_389)*dyb_QED3
      coupl(nGC_847) = -cima*dym_QED3
      coupl(nGC_846) = -cima*dye_QED3
      coupl(nGC_841) = coupl(nGC_399)*dydo_QED1_QCD2
      coupl(nGC_840) = coupl(nGC_399)*dydo_QED3
      coupl(nGC_843) = coupl(nGC_411)*dys_QED1_QCD2
      coupl(nGC_842) = coupl(nGC_411)*dys_QED3
      coupl(nGC_1074) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_1075) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_1077) = coupl(nGC_883) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl(  &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1072) = coupl(nGC_35)*dZuR_QCD2
      coupl(nGC_819) = cima*dyup_QED1_QCD2
      coupl(nGC_1154) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1199) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_781) + coupl(   &
                        nGC_HHHH)
      coupl(nGC_1198) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1205) = -coupl(nGC_683)
      coupl(nGC_1204) = -coupl(nGC_682)
      coupl(nGC_1200) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_711) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_610) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_166)*  &
                       coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_184)*coupl(     &
                       nGC_38)*coupl(nGC_76) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_75) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) -   &
                       coupl(nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_611) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_184)*  &
                       coupl(nGC_34)*coupl(nGC_74) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_74) -   &
                       coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(nGC_74&
                       )**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_612) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_597) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_166)*  &
                       coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_184)*coupl(     &
                       nGC_38)*coupl(nGC_56) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_55) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) -   &
                       coupl(nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_616) = (-coupl(nGC_184)*coupl(nGC_35)*coupl(nGC_80) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*coupl(nGC_23 &
                       )*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80) -   &
                       coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_79&
                       )**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_617) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_753) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl(&
                       nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_188) +  &
                       3d0*cima*coupl(nGC_188)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                       coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(  &
                       nGC_188)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_757) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima&
                       *coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_188)**2d0  &
                        + 39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 -  &
                       3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**2d0 + 36d0&
                       *cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_756) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima&
                       *coupl(nGC_12)*coupl(nGC_188) + 12d0*Nc*coupl(nGC_10)** &
                       2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0* &
                       coupl(nGC_188)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                       sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_882) = -cima*dMU_QED2
      coupl(nGC_485) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11 &
                       )**2d0)/(64d0*pi**2d0)
      coupl(nGC_815) = coupl(nGC_330)*dZee_QED2 + coupl(nGC_331)*dsw_QED2 +    &
                       coupl(nGC_332)*dcw_QED2
      coupl(nGC_509) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - &
                       4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) -   &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) -   &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) -   &
                       4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) -   &
                       4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) -   &
                       4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) -   &
                       4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) -   &
                       4d0*cME*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0* &
                       cME*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM* &
                       coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl&
                       (nGC_4)*coupl(nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(   &
                       nGC_36)*coupl(nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(    &
                       nGC_4)*coupl(nGC_40)*coupl(nGC_83) + 4d0*cima*coupl(    &
                       nGC_29)*coupl(nGC_50) + 6d0*coupl(nGC_162)*coupl(nGC_164&
                       )*coupl(nGC_50) - coupl(nGC_162)*coupl(nGC_20)*coupl(   &
                       nGC_51) - coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_47) - &
                       coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_47) - coupl(nGC_21&
                       )*coupl(nGC_25)*coupl(nGC_51) + 6d0*coupl(nGC_25)*coupl(&
                       nGC_3)*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_504) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) - &
                       2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) -   &
                       2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) -   &
                       2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) -   &
                       2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) -   &
                       2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) +   &
                       4d0*cima*coupl(nGC_168)*coupl(nGC_47) + 4d0*cima*coupl( &
                       nGC_5)*coupl(nGC_51) - coupl(nGC_164)*coupl(nGC_21)*    &
                       coupl(nGC_50) + 6d0*coupl(nGC_164)*coupl(nGC_25)*coupl( &
                       nGC_47) + 6d0*coupl(nGC_164)*coupl(nGC_3)*coupl(nGC_51  &
                       ) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) - coupl(  &
                       nGC_3)*coupl(nGC_4)*coupl(nGC_51))/(32d0*pi**2d0)
      coupl(nGC_505) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_162)**2d0*  &
                       coupl(nGC_3) - 11d0*coupl(nGC_164)**2d0*coupl(nGC_3) +  &
                       12d0*coupl(nGC_23)**2d0*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_506) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) - &
                       2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) -   &
                       2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) -   &
                       2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) -   &
                       2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) -   &
                       2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) +   &
                       4d0*cima*coupl(nGC_168)*coupl(nGC_47) + 4d0*cima*coupl( &
                       nGC_5)*coupl(nGC_51) - coupl(nGC_160)*coupl(nGC_164)*   &
                       coupl(nGC_51) - coupl(nGC_162)*coupl(nGC_176)*coupl(    &
                       nGC_51) + 6d0*coupl(nGC_162)*coupl(nGC_3)*coupl(nGC_47  &
                       ) + 6d0*coupl(nGC_164)*coupl(nGC_3)*coupl(nGC_51) -     &
                       coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_507) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*  &
                       cMC*coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl( &
                       nGC_1)**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0&
                       *coupl(nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(    &
                       nGC_79) - 8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) -  &
                       8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(&
                       nGC_4)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0* &
                       coupl(nGC_83) + 4d0*cima*coupl(nGC_170)*coupl(nGC_50) + &
                       6d0*coupl(nGC_164)**2d0*coupl(nGC_50) - coupl(nGC_164)* &
                       coupl(nGC_166)*coupl(nGC_51) - coupl(nGC_164)*coupl(    &
                       nGC_20)*coupl(nGC_51) - coupl(nGC_174)*coupl(nGC_3)*    &
                       coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_3)*coupl(nGC_51 &
                       ) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_500) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +     &
                       coupl(nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_164)*   &
                       coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**2d0&
                        + coupl(nGC_2)*coupl(nGC_77)**2d0)/(32d0*pi**2d0)
      coupl(nGC_501) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +     &
                       coupl(nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(   &
                       nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_502) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_503) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                       nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(  &
                       nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 + &
                       4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(  &
                       nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(  &
                       nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 - &
                       4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(  &
                       nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(  &
                       nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 + &
                       coupl(nGC_160)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_166)*  &
                       coupl(nGC_20)*coupl(nGC_3) + coupl(nGC_176)**2d0*coupl( &
                       nGC_4) - 6d0*coupl(nGC_180)*coupl(nGC_22)*coupl(nGC_3   &
                       ) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(    &
                       nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(     &
                       nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1070) = coupl(nGC_39)*dZuL_QCD2
      coupl(nGC_508) = (coupl(nGC_160)*coupl(nGC_166)*coupl(nGC_180) - 6d0*    &
                       coupl(nGC_164)*coupl(nGC_20)*coupl(nGC_22) + coupl(     &
                       nGC_174)*coupl(nGC_180)*coupl(nGC_4) - 6d0*coupl(nGC_21 &
                       )*coupl(nGC_22)*coupl(nGC_3))/(96d0*pi**2d0)
      coupl(nGC_1108) = coupl(nGC_75)*dZH_QED2/2d0 + coupl(nGC_75)*dZsL_QED2/  &
                        2d0 + coupl(nGC_75)*dZsR_QED2/2d0 + coupl(nGC_842)
      coupl(nGC_1109) = coupl(nGC_75)*dZsL_QCD2/2d0 + coupl(nGC_75)*dZsR_QCD2/ &
                        2d0 + coupl(nGC_843)
      coupl(nGC_1105) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_1106) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1107) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1101) = coupl(nGC_81)*dZnu_tauL_QED2/2d0 + coupl(nGC_81)*      &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_848)
      coupl(nGC_1103) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_801) = coupl(nGC_368)*dZee_QED2 + coupl(nGC_369)*dcw_QED2 +    &
                       coupl(nGC_370)*dvev_QED1
      coupl(nGC_800) = coupl(nGC_412)*dZee_QED2 + coupl(nGC_413)*dcw_QED2
      coupl(nGC_803) = coupl(nGC_373)*dZee_QED2 + coupl(nGC_374)*dsw_QED2 +    &
                       coupl(nGC_375)*dcw_QED2
      coupl(nGC_802) = coupl(nGC_336)*dZee_QED2 + coupl(nGC_337)*dcw_QED2
      coupl(nGC_805) = coupl(nGC_395)*dsw_QED2 + coupl(nGC_396)*dZee_QED2 +    &
                       coupl(nGC_397)*dcw_QED2 + coupl(nGC_398)*dvev_QED1
      coupl(nGC_804) = coupl(nGC_365)*dZee_QED2 + coupl(nGC_366)*dsw_QED2 +    &
                       coupl(nGC_367)*dcw_QED2
      coupl(nGC_807) = coupl(nGC_400)*dZee_QED2
      coupl(nGC_806) = coupl(nGC_401)*dZee_QED2
      coupl(nGC_809) = coupl(nGC_444)*dZee_QED2 + coupl(nGC_445)*dsw_QED2
      coupl(nGC_808) = coupl(nGC_112)*dZgs_QCD2
      coupl(nGC_1038) = -coupl(nGC_10)*dZg_QCD2/2d0 - coupl(nGC_764)
      coupl(nGC_1030) = coupl(nGC_46)*dZH_QED2 + coupl(nGC_46)*dZZ_QED2 + coupl&
                        (nGC_803)
      coupl(nGC_1033) = coupl(nGC_11)*dZdL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_808)
      coupl(nGC_1034) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_1035) = coupl(nGC_11)*dZdR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_808)
      coupl(nGC_1036) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_1037) = coupl(nGC_65)*dZeMinusR_QED2/2d0 + coupl(nGC_65)*      &
                        dZnu_eL_QED2/2d0 + coupl(nGC_846)
      coupl(nGC_715) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_55) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_75 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_55  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_75  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 9d0*cima*coupl(  &
                       nGC_160)*coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_25) +   &
                       9d0*cima*coupl(nGC_162)*coupl(nGC_176)*coupl(nGC_21)*   &
                       coupl(nGC_25) + 9d0*cima*coupl(nGC_162)*coupl(nGC_180)* &
                       coupl(nGC_25)*coupl(nGC_37) + 4d0*cima*coupl(nGC_166)** &
                       2d0*coupl(nGC_174)*coupl(nGC_40) + 4d0*cima*coupl(      &
                       nGC_166)*coupl(nGC_174)*coupl(nGC_184)*coupl(nGC_22) +  &
                       4d0*cima*coupl(nGC_166)*coupl(nGC_174)*coupl(nGC_22)*   &
                       coupl(nGC_37) + 24d0*cima*coupl(nGC_168)*coupl(nGC_27   &
                       ) + 4d0*cima*coupl(nGC_174)*coupl(nGC_22)**2d0*coupl(   &
                       nGC_40) + 4d0*cima*coupl(nGC_176)*coupl(nGC_180)*coupl( &
                       nGC_184)*coupl(nGC_40) + 4d0*cima*coupl(nGC_184)**2d0*  &
                       coupl(nGC_21)*coupl(nGC_40) + 24d0*cima*coupl(nGC_19)*  &
                       coupl(nGC_8) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*   &
                       coupl(nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71) + 20d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*&
                       coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*  &
                       coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69)*&
                       coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*  &
                       coupl(nGC_81)*coupl(nGC_83) - 6d0*coupl(nGC_160)*coupl( &
                       nGC_164)*coupl(nGC_8) - 6d0*coupl(nGC_160)*coupl(nGC_168&
                       )*coupl(nGC_21) - 6d0*coupl(nGC_162)*coupl(nGC_17)*coupl&
                       (nGC_21) - 6d0*coupl(nGC_162)*coupl(nGC_176)*coupl(nGC_8&
                       ) - 6d0*coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_45) +    &
                       36d0*coupl(nGC_162)*coupl(nGC_25)*coupl(nGC_8) + 36d0*  &
                       coupl(nGC_162)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(  &
                       nGC_164)*coupl(nGC_21)*coupl(nGC_42) + 6d0*coupl(nGC_166&
                       )*coupl(nGC_174)*coupl(nGC_8) - 6d0*coupl(nGC_17)*coupl(&
                       nGC_21)*coupl(nGC_25) + 6d0*coupl(nGC_174)*coupl(nGC_22 &
                       )*coupl(nGC_9) - 6d0*coupl(nGC_176)*coupl(nGC_19)*coupl(&
                       nGC_21) - 6d0*coupl(nGC_180)*coupl(nGC_19)*coupl(nGC_37 &
                       ) + 6d0*coupl(nGC_184)*coupl(nGC_40)*coupl(nGC_9) - 6d0*&
                       coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_46) - 6d0*coupl(  &
                       nGC_25)*coupl(nGC_37)*coupl(nGC_9))/(192d0*pi**2d0)
      coupl(nGC_714) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_56) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_64) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_76) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_60) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_56) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_60) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_64) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_76 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_56  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_60) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_64) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_76  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_88) + 9d0*cima*coupl(  &
                       nGC_160)*coupl(nGC_164)*coupl(nGC_180)*coupl(nGC_25) +  &
                       9d0*cima*coupl(nGC_162)*coupl(nGC_176)*coupl(nGC_180)*  &
                       coupl(nGC_25) + 9d0*cima*coupl(nGC_162)*coupl(nGC_184)* &
                       coupl(nGC_21)*coupl(nGC_25) + 4d0*cima*coupl(nGC_166)** &
                       2d0*coupl(nGC_22)*coupl(nGC_40) + 4d0*cima*coupl(nGC_166&
                       )*coupl(nGC_184)*coupl(nGC_22)**2d0 + 4d0*cima*coupl(   &
                       nGC_166)*coupl(nGC_22)**2d0*coupl(nGC_37) + 24d0*cima*  &
                       coupl(nGC_168)*coupl(nGC_28) + 4d0*cima*coupl(nGC_176)* &
                       coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) + 4d0*cima*   &
                       coupl(nGC_180)*coupl(nGC_37)**2d0*coupl(nGC_40) + 24d0* &
                       cima*coupl(nGC_19)*coupl(nGC_9) + 4d0*cima*coupl(nGC_22 &
                       )**3d0*coupl(nGC_40) + 20d0*cima*coupl(nGC_23)*coupl(   &
                       nGC_36)*coupl(nGC_65)*coupl(nGC_68) + 20d0*cima*coupl(  &
                       nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_72) + 20d0&
                       *cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(  &
                       nGC_84) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(  &
                       nGC_65)*coupl(nGC_68) - 16d0*cima*coupl(nGC_23)*coupl(  &
                       nGC_40)*coupl(nGC_69)*coupl(nGC_72) - 16d0*cima*coupl(  &
                       nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_84) - 16d0&
                       *cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(  &
                       nGC_68) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(  &
                       nGC_69)*coupl(nGC_72) - 16d0*cima*coupl(nGC_23)*coupl(  &
                       nGC_41)*coupl(nGC_81)*coupl(nGC_84) - 6d0*coupl(nGC_160 &
                       )*coupl(nGC_164)*coupl(nGC_9) - 6d0*coupl(nGC_160)*coupl&
                       (nGC_168)*coupl(nGC_180) - 6d0*coupl(nGC_162)*coupl(    &
                       nGC_17)*coupl(nGC_180) - 6d0*coupl(nGC_162)*coupl(      &
                       nGC_176)*coupl(nGC_9) - 6d0*coupl(nGC_162)*coupl(nGC_180&
                       )*coupl(nGC_45) + 36d0*coupl(nGC_162)*coupl(nGC_25)*    &
                       coupl(nGC_9) + 36d0*coupl(nGC_162)*coupl(nGC_28)*coupl( &
                       nGC_3) - 6d0*coupl(nGC_164)*coupl(nGC_180)*coupl(nGC_42 &
                       ) + 6d0*coupl(nGC_166)*coupl(nGC_22)*coupl(nGC_8) - 6d0*&
                       coupl(nGC_17)*coupl(nGC_180)*coupl(nGC_25) - 6d0*coupl( &
                       nGC_176)*coupl(nGC_180)*coupl(nGC_19) - 6d0*coupl(      &
                       nGC_180)*coupl(nGC_25)*coupl(nGC_46) - 6d0*coupl(nGC_184&
                       )*coupl(nGC_19)*coupl(nGC_21) - 6d0*coupl(nGC_184)*coupl&
                       (nGC_25)*coupl(nGC_8) + 6d0*coupl(nGC_22)**2d0*coupl(   &
                       nGC_9) + 6d0*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_8))/(&
                       192d0*pi**2d0)
      coupl(nGC_717) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0 - &
                       coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_73  &
                       )**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0)/(32d0*&
                       pi**2d0)
      coupl(nGC_939) = coupl(nGC_38)*dZdL_QCD2
      coupl(nGC_938) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_38)*dZZ_QED2/2d0 &
                        + coupl(nGC_38)*dZdL_QED2 + coupl(nGC_812)
      coupl(nGC_937) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_8)*dZH_QED2/2d0 &
                        + coupl(nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*       &
                       dZZ_QED2/2d0 + coupl(nGC_800)
      coupl(nGC_936) = coupl(nGC_41)*dZZA_QED2/2d0
      coupl(nGC_931) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_799) + coupl(   &
                       nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
      coupl(nGC_930) = coupl(nGC_859) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                       nGC_86)*dZuR_QCD2/2d0
      coupl(nGC_933) = 3d0*coupl(nGC_49)*dZH_QED2/2d0 + coupl(nGC_785) + coupl(&
                       nGC_HHH)
      coupl(nGC_932) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_7)*dZZ_QED2/2d0 + coupl(nGC_802)
      coupl(nGC_478) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(  &
                       nGC_39)**2d0)/(16d0*pi**2d0)
      coupl(nGC_479) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_474) = cima*(coupl(nGC_162)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi&
                       **2d0)
      coupl(nGC_475) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB** &
                       2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl&
                       (nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 &
                        + 2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD &
                       **2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*   &
                       coupl(nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38  &
                       )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0* &
                       Nc*cMT**2d0*cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                       nGC_39)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_36)**2d0 +   &
                       2d0*cME**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima&
                       *coupl(nGC_36)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_40)** &
                       2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cMTA**&
                       2d0*cima*coupl(nGC_40)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                       nGC_162)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 -  &
                       2d0*cMW**2d0*coupl(nGC_172))/(16d0*pi**2d0)
      coupl(nGC_476) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(     &
                       nGC_39))/(8d0*pi**2d0)
      coupl(nGC_477) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_470) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35 &
                       ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_162)* &
                       coupl(nGC_164) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl(&
                       nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/(&
                       32d0*pi**2d0)
      coupl(nGC_471) = cima*(coupl(nGC_162)*coupl(nGC_164) + coupl(nGC_25)*    &
                       coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_472) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0* &
                       Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC&
                       **2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*&
                       cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima* &
                       coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1 &
                       )*coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*    &
                       coupl(nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(&
                       nGC_35) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39&
                       ) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) +   &
                       2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*  &
                       cME**2d0*cima*coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*&
                       cima*coupl(nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*    &
                       coupl(nGC_36)*coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(   &
                       nGC_4)*coupl(nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*&
                       coupl(nGC_4) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(   &
                       nGC_40) + 3d0*cMW**2d0*cima*coupl(nGC_162)*coupl(nGC_164&
                       ) + 3d0*cMW**2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0* &
                       cMW**2d0*coupl(nGC_29))/(16d0*pi**2d0)
      coupl(nGC_473) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35  &
                       )**2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39&
                       )**2d0 - coupl(nGC_162)**2d0 - coupl(nGC_25)**2d0 - 2d0*&
                       coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl(&
                       nGC_41)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1159) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_496) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_497) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**&
                       2d0)/(8d0*pi**2d0)
      coupl(nGC_494) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_495) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(     &
                       nGC_39))/(8d0*pi**2d0)
      coupl(nGC_493) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(     &
                       nGC_38))/(8d0*pi**2d0)
      coupl(nGC_559) = (coupl(nGC_176)*coupl(nGC_41)*coupl(nGC_65) + coupl(    &
                       nGC_180)*coupl(nGC_23)*coupl(nGC_66) + coupl(nGC_21)*   &
                       coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_36)*coupl(nGC_40&
                       )*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65))/(32d0*pi**2d0&
                       )
      coupl(nGC_558) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_160)*coupl&
                       (nGC_2)*coupl(nGC_85) + coupl(nGC_166)*coupl(nGC_23)*   &
                       coupl(nGC_87) + coupl(nGC_176)*coupl(nGC_35)*coupl(     &
                       nGC_85) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_86) +   &
                       8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) + coupl(  &
                       nGC_38)*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*    &
                       coupl(nGC_63)*coupl(nGC_87) - coupl(nGC_61)*coupl(nGC_64&
                       )*coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_557) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_160)*coupl&
                       (nGC_2)*coupl(nGC_61) + coupl(nGC_176)*coupl(nGC_39)*   &
                       coupl(nGC_61) + coupl(nGC_180)*coupl(nGC_23)*coupl(     &
                       nGC_62) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_63) +   &
                       8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl(  &
                       nGC_34)*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_62)*    &
                       coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85&
                       )*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_556) = (-coupl(nGC_1)*coupl(nGC_160)*coupl(nGC_73) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(nGC_166)*coupl&
                       (nGC_23)*coupl(nGC_75) - coupl(nGC_176)*coupl(nGC_34)*  &
                       coupl(nGC_73) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_73  &
                       ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_74) + 8d0*    &
                       coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(nGC_39&
                       )*coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(    &
                       nGC_59)*coupl(nGC_75) - coupl(nGC_57)*coupl(nGC_60)*    &
                       coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_555) = (-coupl(nGC_1)*coupl(nGC_160)*coupl(nGC_57) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(nGC_176)*coupl&
                       (nGC_38)*coupl(nGC_57) - coupl(nGC_180)*coupl(nGC_23)*  &
                       coupl(nGC_58) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_57  &
                       ) - coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_59) + 8d0*    &
                       coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(nGC_35&
                       )*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_58)*coupl(    &
                       nGC_73)*coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*    &
                       coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_554) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_160)*coupl&
                       (nGC_2)*coupl(nGC_77) + coupl(nGC_166)*coupl(nGC_23)*   &
                       coupl(nGC_79) + coupl(nGC_176)*coupl(nGC_35)*coupl(     &
                       nGC_77) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_78) +   &
                       8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl(  &
                       nGC_38)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*    &
                       coupl(nGC_55)*coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56&
                       )*coupl(nGC_78))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
