!******************************************************************************!
!                                                                              !
!    lcVFFa.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVFFa.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVFFa
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec
  contains
    subroutine loopVFFa(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,      &
    riMaxOut, rankInc)
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VFFa0)
!       GammaM(1,3,2)*c0
        pl(:) = PL1(:) + PL2(:)
        do j = riMaxIn, 0, -1
          x0 = w2(2)*(wl(0,j) + wl(3,j))
          x1 = w2(3)*wl(1,j) + x0
          x2 = co(0)*(cima*x1 + w2(3)*wl(2,j))
          x3 = w2(2)*wl(1,j)
          x4 = w2(3)*(wl(0,j) - wl(3,j))
          x5 = co(0)*(cima*(x3 + x4) - w2(2)*wl(2,j))
          x6 = w2(3)*wl(0,j) - w2(3)*wl(3,j) + x3
          x7 = cima*wl(2,j)
          wp(0,j) = -m*x2
          wp(1,j) = -m*x5
          wp(2,j) = co(0)*(cima*pl(1)*x1 - cima*pl(3)*x6 + pl(1)*w2(3)*wl(2,j  &
                    ) + pl(3)*w2(2)*wl(2,j))
          wp(3,j) = -co(0)*(-cima*pl(0)*x6 + cima*pl(2)*x1 + pl(0)*w2(2)*wl(2,j&
                    ) + pl(2)*w2(3)*wl(2,j))
          if(rankInc .lt. 1) cycle
          sp2(0,0) = 0
          sp2(0,1) = 0
          sp2(0,2) = x2
          sp2(0,3) = x5
          sp2(1,0) = 0
          sp2(1,1) = 0
          sp2(1,2) = x5
          sp2(1,3) = x2
          sp2(2,0) = 0
          sp2(2,1) = 0
          sp2(2,2) = co(0)*w2(2)*wl(1,j) + co(0)*w2(2)*x7 + co(0)*x4
          sp2(2,3) = -co(0)*w2(3)*wl(1,j) + co(0)*w2(3)*x7 - co(0)*x0
          sp2(3,0) = 0
          sp2(3,1) = 0
          sp2(3,2) = x2
          sp2(3,3) = -x5
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(VFFa1)
!       GammaM(1,3,2)*c0
!       GammaP(1,3,2)*c1
        pl(:) = PL1(:) + PL2(:)
        x14 = co(1)*m
        do j = riMaxIn, 0, -1
          x0 = w2(0)*wl(3,j)
          x1 = w2(1)*wl(1,j)
          x2 = w2(0)*wl(0,j)
          x3 = x0 + x1 - x2
          x4 = wl(0,j) + wl(3,j)
          x5 = -w2(1)*x4
          x6 = w2(0)*wl(1,j) + x5
          x7 = w2(2)*x4
          x8 = w2(3)*wl(1,j) + x7
          x9 = co(0)*(cima*x8 + w2(3)*wl(2,j))
          x10 = w2(2)*wl(1,j)
          x11 = w2(3)*wl(0,j) - w2(3)*wl(3,j) + x10
          x12 = -w2(2)*wl(2,j)
          x13 = w2(1)*wl(2,j)
          x15 = w2(0)*wl(2,j)
          x16 = cima*x6
          x17 = wl(0,j) - wl(3,j)
          x18 = -x1
          x19 = co(1)*(-cima*(w2(0)*x17 + x18) + x13)
          x20 = co(1)*(-x15 + x16)
          x21 = -x20
          x22 = w2(3)*x17
          x23 = co(0)*(cima*(x10 + x22) + x12)
          x24 = cima*wl(2,j)
          x25 = wl(1,j) + x24
          wp(0,j) = -co(1)*(cima*pl(0)*x3 + cima*pl(3)*x6 + pl(0)*w2(1)*wl(2,j &
                    ) - pl(3)*w2(0)*wl(2,j)) - m*x9
          wp(1,j) = -co(0)*m*(cima*x11 + x12) - co(1)*(cima*pl(1)*x6 + cima*pl(&
                    2)*x3 - pl(1)*w2(0)*wl(2,j) + pl(2)*w2(1)*wl(2,j))
          wp(2,j) = co(0)*(cima*pl(1)*x8 - cima*pl(3)*x11 + pl(1)*w2(3)*wl(2,j &
                    ) + pl(3)*w2(2)*wl(2,j)) + x14*(cima*x3 + x13)
          wp(3,j) = -co(0)*(-cima*pl(0)*x11 + cima*pl(2)*x8 + pl(0)*w2(2)*wl(2,&
                    j) + pl(2)*w2(3)*wl(2,j)) + x14*(-x15 + x16)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = -x19
          sp2(0,1) = x21
          sp2(0,2) = x9
          sp2(0,3) = x23
          sp2(1,0) = x20
          sp2(1,1) = x19
          sp2(1,2) = x23
          sp2(1,3) = x9
          sp2(2,0) = co(1)*w2(0)*x25 + co(1)*x5
          sp2(2,1) = cima*co(1)*x13 - co(1)*x0 + co(1)*x18 + co(1)*x2
          sp2(2,2) = co(0)*w2(2)*x25 + co(0)*x22
          sp2(2,3) = -co(0)*w2(3)*wl(1,j) + co(0)*w2(3)*x24 - co(0)*x7
          sp2(3,0) = x19
          sp2(3,1) = x21
          sp2(3,2) = x9
          sp2(3,3) = -x23
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      end select 
    end subroutine loopVFFa
end module lcVFFa
